# Interface methods for submodule: LabelShapeOpeningImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: LabelShapeOpeningImageFilter
class LabelShapeOpeningImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetBackgroundValue(self, _arg: int) -> None:
		""""""
		...

	def GetBackgroundValue(self) -> int:
		""""""
		...

	def GetLambda(self) -> float:
		""""""
		...

	def SetLambda(self, _arg: float) -> None:
		""""""
		...

	def GetReverseOrdering(self) -> bool:
		""""""
		...

	def SetReverseOrdering(self, _arg: bool) -> None:
		""""""
		...

	def ReverseOrderingOn(self) -> None:
		""""""
		...

	def ReverseOrderingOff(self) -> None:
		""""""
		...

	def GetAttribute(self) -> int:
		""""""
		...

	@overload
	def SetAttribute(self, _arg: int) -> None:
		""""""
		...

	@overload
	def SetAttribute(self, s: str) -> None:
		""""""
		...

